#!/bin/sh

echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull jlesage/jdownloader-2:latest

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep JDownloader2 | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi

C_UID=$(id -u admin)
ADMIN_GID=$(id -g admin)

docker create -i -t --name=JDownloader2 \
	-p 15800:5800 \
    -p 15900:5900 \
    -p 3129:3129 \
	-e USER_ID=$C_UID -e GROUP_ID=$ADMIN_GID \
	-e ENABLE_CJK_FONT=1 \
	-v /etc/localtime:/etc/localtime:ro \
    -v /share/Docker/JDownloader2/Config:/config:rw \
    -v /share/Download/JDownloader2:/output:rw \
	--restart=unless-stopped \
    jlesage/jdownloader-2:latest
	
docker start JDownloader2


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep jlesage/jdownloader-2 | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
